Pivotal Knowledge Base

Follow

Upgrading from ERT 1.7 to 1.8 Fails with Error "Not enough available IPs"

Environment 

 Product  Version
 Pivotal Cloud Foundry  1.7, 1.8

Overview

This article provides a troubleshooting guide for when you are upgrading from ERT 1.7 to 1.8.

Symptom

When upgrading using Ops Manager, the Web UI throws an error:

Not enough available IPs, IP cannot be allocated for `p-bosh-XXXXX`

Cause 

Ops Manager 1.8 moves the compilation jobs from the ERT tile and any other tile up to the director. This error is shown if the subnet assigned to the director does not have enough IPs available to spin up compilation jobs.

Resolution

Here are the troubleshooting steps you can follow to resolve this error:

  1. Increase the available IPs on the subnet assigned to the director
  2. Go to Ops Manager and resume upgrade/installation

 

 

Comments

Powered by Zendesk